
<style>
    .clearfix {
  zoom:1;
	&:before, &:after {
    content: " ";
    display: table;
  }
  &:after {
    clear: both;
	}
}

.gradient(@color: #F5F5F5, @start: #EEE, @stop: #FFF) {
  background: @color;
  background: -webkit-gradient(linear,
                               left bottom,
                               left top,
                               color-stop(0, @start),
                               color-stop(1, @stop));
  background: -ms-linear-gradient(bottom,@start,@stop);
  background: -moz-linear-gradient(center bottom,@start 0%,@stop 100%);
}

.box-sizing(@value) {
	-webkit-box-sizing:@value;
  -moz-box-sizing:@value;
  -ms-box-sizing:@value;
  -o-box-sizing:@value;
  box-sizing:@value;
}

.smart-banner {
  .clearfix;
  .box-sizing(border-box);
	.gradient( #d1d1d1, #d1d1d1, #f8f8f8 );
    padding:10px 10px 10px 31px;
  position:relative;
  
  -webkit-transition:margin-top .3s linear;
  
  &.closed {
  	margin-top:-100%;
  }
  
  .meta {
  	float:left;
    padding-top:7px;
  }
  .name {
  	font-size:12px;
    width: 163px;
    overflow: hidden;
    text-overflow: ellipsis;
    display: block;
    white-space: nowrap;
  }
  .desc {
  	display:block;
    font-size:11px;
    color:#888;
    padding-top:2px;
  }
  
  .icon {
    @square: 50px;
  	height:@square;
    width:@square;
    border-radius: @square / 6.4 ;
    vertical-align:top;
    box-shadow:0 0px 1px black;
    float:left;
    margin:0 10px;
  }
  
  .close {
  	position:absolute;
    width:30px;
    
    padding:25px 0;
    
    border-right:inset 1px rgba(0,0,0,.3);
    left:0;
    top:0;
    bottom:0;
    vertical-align:middle;
    text-align:center;
    text-decoration:none;
    color:rgba(0,0,0,.3);
  }
  
  .btn {
    text-decoration:none;
    margin-top:10px;
    float:right;
    color: white;
    padding: 2px 9px 5px 9px;
    font-family: 'Helvetica Neue', Helvetica, sans-serif;
    font-weight: bold;
    font-size: 12px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
    .gradient(#303030,#303030,#838383);
    border: solid 1px rgba(79, 79, 79, 0.75);
  }
  
}

</style>